//
//  PlaylistViewController+Ext.swift
//  TSLiveWallpaper
//
//  Created by nkl on 2024/12/26.
//

import Foundation
import TSVideoKit
// import ADManager

extension PlaylistViewController {
    @objc func showRecentlyList() {
        let vModel: PlayListDetaiViewModel = .init()
        vModel.listType = .recently
        let vc = PlaylistDetailViewController(viewModel: vModel)
        vc.hidesBottomBarWhenPushed = true
        navigationController?.pushViewController(vc, animated: true)
    }

    @objc func showLikeViewController() {
        //        ADManager.shared.showAd(scene: ADScene.playlist, from: self) { state in
        //            if state == .finished || state == .fail {
        let vModel: PlayListDetaiViewModel = .init()
        vModel.listType = .favourite
        let vc = PlaylistDetailViewController(viewModel: vModel)
        vc.hidesBottomBarWhenPushed = true
        navigationController?.pushViewController(vc, animated: true)
        //            }
        //        }
    }
}
